@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Dateien aelter n Tage lschen
::
::  Kompatibilitt
::
::  	Win95/ 98/ ME		n
::  	Win NT4				j
::  	Win 2000			j
::  	Win XP				j
::  	Win 2003			j
::
::  HINWEIS: es wird showdate im Unterverzeichnis tools benoetigt
::
rem ----------------------------------------------------------------------
::	2006-09-13   support@putzi4win.de
::	2006-10-29   support@putzi4win.de   erste Version fr Beta
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
::	2008-03-26   support@putzi4win.de   Ordner korrigiert
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------

	:: here is the directory for Putzi4Win BETA(!)
	:: set IniFile=%APPDATA%\putzi4win_beta\putzi.ini
	set IniFile=%APPDATA%\putzi4win\putzi.ini

	set Filter1=*.p4wbak
	set iDays=45


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=alte Putzi4Win-Backups lschen
	echo metaVERSION=1.1
	echo metaAUTHOR=Axel Hahn
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaDESCRIPTION=alte Putzi4Win-Backups lschen - %Filter1% lter %iDays% Tage
	echo metaCATEGORY=Anwendungen
	echo metaWARNING=
	if "%1"=="/meta" goto end


rem ----------------------------------------------------------------------
::	GET BACKUP DIR
rem ----------------------------------------------------------------------
	if NOT exist "%IniFile%" ( echo ERROR: Die Konfigurationsdatei konnte nicht gelesen werden. && goto end) 

	set DataDir1=
	for /F "tokens=2* delims==" %%a in ('findstr "backup_folder=" "%IniFile%"') do set DataDir1=%%a
	if "%DataDir1%"=="" ( echo ERROR: Das Backupverzeichnis konnte nicht aus der Konfigurationsdatei gelesen werden. && goto end) 
	:: echo metaDESCRIPTION=alte Putzi4Win-Backups lschen - %Filter1% lter %iDays% Tage in %DataDir1%

	if NOT exist "%DataDir1%" (echo ERROR:Verzeichnis existiert nicht: %DataDir1% && goto end)


rem ----------------------------------------------------------------------
::	GET DATE
rem ----------------------------------------------------------------------
	cd /d "%0\.."
	set sincedate=
	for /F "tokens=1" %%a in ('tools\showdate.exe /d:-%iDays% /f:"yyyy-mm-dd"') do set sincedate=%%a
	if "%sincedate%"=="" ( echo ERROR:Das Zusatzprogramm tools\showdate konnte nicht ausgefhrt werden. && goto end )


rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # files older %sincedate%
	echo %commentLine%

	:: cd is required for simpler comparison of the strings
	cd /d "%DataDir1%"
	for /F "tokens=*" /F %%a in ('dir /b %Filter1%') do (
		if "%%a" LSS "%sincedate%" echo FILE:%DataDir1%\%%a
	)

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%
	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
